<?xml version="1.0" encoding="utf-8"?>
<extension type="module" version="3.1" client="site" method="upgrade">
	<name>mod_articles_category</name>
	<author>Joomla! Project</author>
	<creationDate>February 2010</creationDate>
	<copyright>Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.</copyright>
	<license>GNU General Public License version 2 or later; see LICENSE.txt</license>
	<authorEmail>admin@joomla.org</authorEmail>
	<authorUrl>www.joomla.org</authorUrl>
	<version>3.0.0</version>
	<description>MOD_ARTICLES_CATEGORY_XML_DESCRIPTION</description>
	<files>
		<filename module="mod_articles_category">mod_articles_category.php</filename>
		<folder>tmpl</folder>
		<filename>helper.php</filename>
	</files>
	<languages>
		<language tag="en-GB">en-GB.mod_articles_category.ini</language>
		<language tag="en-GB">en-GB.mod_articles_category.sys.ini</language>
	</languages>
	<help key="JHELP_EXTENSIONS_MODULE_MANAGER_ARTICLES_CATEGORY" />
	<config>
		<fields name="params">
			<fieldset name="basic">
				<field
					name="mode"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_MODE_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_MODE_DESC"
					default="normal"
					>
					<option value="normal">MOD_ARTICLES_CATEGORY_OPTION_NORMAL_VALUE</option>
					<option value="dynamic">MOD_ARTICLES_CATEGORY_OPTION_DYNAMIC_VALUE</option>
				</field>
			</fieldset>

			<fieldset
				name="dynamic"
				label="MOD_ARTICLES_CATEGORY_FIELD_GROUP_DYNAMIC_LABEL"
			>

				<field
					name="show_on_article_page"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_SHOWONARTICLEPAGE_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWONARTICLEPAGE_DESC"
					class="btn-group btn-group-yesno"
					default="1"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>
			</fieldset>

			<fieldset
				name="filtering"
				label="MOD_ARTICLES_CATEGORY_FIELD_GROUP_FILTERING_LABEL"
			>

				<field
					name="count"
					type="text"
					label="MOD_ARTICLES_CATEGORY_FIELD_COUNT_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_COUNT_DESC"
					default="0"
				/>

				<field
					name="show_front"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_SHOWFEATURED_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWFEATURED_DESC"
					default="show"
					validate="options"
					>
					<option value="show">JSHOW</option>
					<option value="hide">JHIDE</option>
					<option value="only">MOD_ARTICLES_CATEGORY_OPTION_ONLYFEATURED_VALUE</option>
				</field>

				<field
					name="filteringspacer1"
					type="spacer"
					hr="true"
				/>

				<field
					name="category_filtering_type"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_CATFILTERINGTYPE_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_CATFILTERINGTYPE_DESC"
					class="btn-group btn-group-yesno"
					default="1"
					>
					<option value="1">MOD_ARTICLES_CATEGORY_OPTION_INCLUSIVE_VALUE</option>
					<option value="0">MOD_ARTICLES_CATEGORY_OPTION_EXCLUSIVE_VALUE</option>
				</field>

				<field
					name="catid"
					type="category"
					label="JCATEGORY"
					description="MOD_ARTICLES_CATEGORY_FIELD_CATEGORY_DESC"
					extension="com_content"
					multiple="true"
					size="5"
					>
					<option value="">JOPTION_ALL_CATEGORIES</option>
				</field>

				<field
					name="show_child_category_articles"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_SHOWCHILDCATEGORYARTICLES_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWCHILDCATEGORYARTICLES_DESC"
					class="btn-group btn-group-yesno"
					default="0"
					>
					<option value="1">MOD_ARTICLES_CATEGORY_OPTION_INCLUDE_VALUE</option>
					<option value="0">MOD_ARTICLES_CATEGORY_OPTION_EXCLUDE_VALUE</option>
				</field>

				<field
					name="levels"
					type="text"
					label="MOD_ARTICLES_CATEGORY_FIELD_CATDEPTH_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_CATDEPTH_DESC"
					default="1"
				/>

				<field
					name="filteringspacer2"
					type="spacer"
					hr="true"
				/>

				<field
					name="author_filtering_type"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_AUTHORFILTERING_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_AUTHORFILTERING_DESC"
					class="btn-group btn-group-yesno"
					default="1"
					>
					<option value="1">MOD_ARTICLES_CATEGORY_OPTION_INCLUSIVE_VALUE</option>
					<option value="0">MOD_ARTICLES_CATEGORY_OPTION_EXCLUSIVE_VALUE</option>
				</field>

				<field
					name="created_by"
					type="sql"
					label="MOD_ARTICLES_CATEGORY_FIELD_AUTHOR_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_AUTHOR_DESC"
					multiple="true"
					size="5"
					query="select id, name, username from #__users where id IN (select distinct(created_by) from #__content) order by name ASC"
					key_field="id"
					value_field="name"
					>
					<option value="">JOPTION_SELECT_AUTHORS</option>
				</field>

				<field
					name="filteringspacer3"
					type="spacer"
					hr="true"
				/>

				<field
					name="author_alias_filtering_type"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIASFILTERING_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIASFILTERING_DESC"
					class="btn-group btn-group-yesno"
					default="1"
					>
					<option value="1">MOD_ARTICLES_CATEGORY_OPTION_INCLUSIVE_VALUE</option>
					<option value="0">MOD_ARTICLES_CATEGORY_OPTION_EXCLUSIVE_VALUE</option>
				</field>

				<field
					name="created_by_alias"
					type="sql"
					label="MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIAS_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIAS_DESC"
					multiple="true"
					size="5"
					query="select distinct(created_by_alias) from #__content where created_by_alias != '' order by created_by_alias ASC"
					key_field="created_by_alias"
					value_field="created_by_alias"
					>
					<option value="">JOPTION_SELECT_AUTHOR_ALIASES</option>
				</field>

				<field
					name="filteringspacer4"
					type="spacer"
					hr="true"
				/>

				<field
					name="excluded_articles"
					type="textarea"
					label="MOD_ARTICLES_CATEGORY_FIELD_EXCLUDEDARTICLES_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_EXCLUDEDARTICLES_DESC"
					cols="10"
					rows="3"
				/>

				<field
					name="filteringspacer5"
					type="spacer"
					hr="true"
				/>

				<field
					name="date_filtering"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_DATEFILTERING_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_DATEFILTERING_DESC"
					default="off"
					validate="options"
					>
					<option value="off">MOD_ARTICLES_CATEGORY_OPTION_OFF_VALUE</option>
					<option value="range">MOD_ARTICLES_CATEGORY_OPTION_DATERANGE_VALUE</option>
					<option value="relative">MOD_ARTICLES_CATEGORY_OPTION_RELATIVEDAY_VALUE</option>
				</field>

				<field
					name="date_field"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_DATERANGEFIELD_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_DATERANGEFIELD_DESC"
					default="a.created"
					validate="options"
					>
					<option value="a.created">
						MOD_ARTICLES_CATEGORY_OPTION_CREATED_VALUE
					</option>
					<option value="a.modified">
						MOD_ARTICLES_CATEGORY_OPTION_MODIFIED_VALUE
					</option>
					<option value="a.publish_up">
						MOD_ARTICLES_CATEGORY_OPTION_STARTPUBLISHING_VALUE
					</option>
				</field>

				<field
					name="start_date_range"
					type="calendar"
					label="MOD_ARTICLES_CATEGORY_FIELD_STARTDATE_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_STARTDATE_DESC"
					translateformat="true"
					showtime="true"
					size="22"
					filter="user_utc"
				/>

				<field
					name="end_date_range"
					type="calendar"
					label="MOD_ARTICLES_CATEGORY_FIELD_ENDDATE_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_ENDDATE_DESC"
					translateformat="true"
					showtime="true"
					size="22"
					filter="user_utc"
				/>

				<field
					name="relative_date"
					type="text"
					label="MOD_ARTICLES_CATEGORY_FIELD_RELATIVEDATE_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_RELATIVEDATE_DESC"
					default="30"
				/>

			</fieldset>

			<fieldset
				name="ordering"
				label="MOD_ARTICLES_CATEGORY_FIELD_GROUP_ORDERING_LABEL"
			>

				<field
					name="article_ordering"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERING_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERING_DESC"
					default="a.title"
					validate="options"
					>
					<option value="a.ordering">MOD_ARTICLES_CATEGORY_OPTION_ORDERING_VALUE</option>
					<option value="fp.ordering">MOD_ARTICLES_CATEGORY_OPTION_ORDERINGFEATURED_VALUE</option>
					<option value="a.hits">MOD_ARTICLES_CATEGORY_OPTION_HITS_VALUE</option>
					<option value="a.title">JGLOBAL_TITLE</option>
					<option value="a.id">MOD_ARTICLES_CATEGORY_OPTION_ID_VALUE</option>
					<option value="a.alias">JFIELD_ALIAS_LABEL</option>
					<option value="a.created">MOD_ARTICLES_CATEGORY_OPTION_CREATED_VALUE</option>
					<option value="modified">MOD_ARTICLES_CATEGORY_OPTION_MODIFIED_VALUE</option>
					<option value="publish_up">MOD_ARTICLES_CATEGORY_OPTION_STARTPUBLISHING_VALUE</option>
					<option value="a.publish_down">MOD_ARTICLES_CATEGORY_OPTION_FINISHPUBLISHING_VALUE</option>
					<option value="random">MOD_ARTICLES_CATEGORY_OPTION_RANDOM_VALUE</option>
					<option value="rating_count" requires="vote">MOD_ARTICLES_CATEGORY_OPTION_VOTE_VALUE</option>
					<option value="rating" requires="vote">MOD_ARTICLES_CATEGORY_OPTION_RATING_VALUE</option>
				</field>

				<field
					name="article_ordering_direction"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERINGDIR_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERINGDIR_DESC"
					default="ASC"
					validate="options"
					>
					<option value="DESC">MOD_ARTICLES_CATEGORY_OPTION_DESCENDING_VALUE</option>
					<option value="ASC">MOD_ARTICLES_CATEGORY_OPTION_ASCENDING_VALUE</option>
				</field>
			</fieldset>

			<fieldset
				name="grouping"
				label="MOD_ARTICLES_CATEGORY_FIELD_GROUP_GROUPING_LABEL"
				>

				<field
					name="article_grouping"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPING_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPING_DESC"
					default="none"
					validate="options"
					>
					<option value="none">JNONE</option>
					<option value="year">MOD_ARTICLES_CATEGORY_OPTION_YEAR_VALUE</option>
					<option value="month_year">MOD_ARTICLES_CATEGORY_OPTION_MONTHYEAR_VALUE</option>
					<option value="author">JAUTHOR</option>
					<option value="category_title">JCATEGORY</option>
				</field>

				<field
					name="article_grouping_direction"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPINGDIR_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPINGDIR_DESC"
					default="ksort"
					validate="options"
					>
					<option value="krsort">MOD_ARTICLES_CATEGORY_OPTION_DESCENDING_VALUE</option>
					<option value="ksort">MOD_ARTICLES_CATEGORY_OPTION_ASCENDING_VALUE</option>
				</field>

				<field
					name="month_year_format"
					type="text"
					label="MOD_ARTICLES_CATEGORY_FIELD_MONTHYEARFORMAT_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_MONTHYEARFORMAT_DESC"
					default="F Y"
				/>
			</fieldset>

			<fieldset
				name="display"
				label="MOD_ARTICLES_CATEGORY_FIELD_GROUP_DISPLAY_LABEL"
				>

				<field
					name="link_titles"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_LINKTITLES_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_LINKTITLES_DESC"
					default="1"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>

				<field
					name="show_date"
					type="radio"
					label="JDATE"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWDATE_DESC"
					default="0"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>

				<field
					name="show_date_field"
					type="list"
					label="MOD_ARTICLES_CATEGORY_FIELD_DATEFIELD_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_DATEFIELD_DESC"
					default="created"
					validate="options"
					>
					<option value="created">MOD_ARTICLES_CATEGORY_OPTION_CREATED_VALUE</option>
					<option value="modified">MOD_ARTICLES_CATEGORY_OPTION_MODIFIED_VALUE</option>
					<option value="publish_up">MOD_ARTICLES_CATEGORY_OPTION_STARTPUBLISHING_VALUE</option>
				</field>

				<field
					name="show_date_format"
					type="text"
					label="MOD_ARTICLES_CATEGORY_FIELD_DATEFIELDFORMAT_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_DATEFIELDFORMAT_DESC"
					default="Y-m-d H:i:s"
				/>

				<field
					name="show_category"
					type="radio"
					label="JCATEGORY"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWCATEGORY_DESC"
					default="0"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>

				<field
					name="show_hits"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_SHOWHITS_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWHITS_DESC"
					default="0"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>

				<field
					name="show_author"
					type="radio"
					label="JAUTHOR"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWAUTHOR_DESC"
					default="0"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>

				<field
					name="show_introtext"
					type="radio"
					label="MOD_ARTICLES_CATEGORY_FIELD_SHOWINTROTEXT_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_SHOWINTROTEXT_DESC"
					default="0"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>

				<field
					name="introtext_limit"
					type="text"
					label="MOD_ARTICLES_CATEGORY_FIELD_INTROTEXTLIMIT_LABEL"
					description="MOD_ARTICLES_CATEGORY_FIELD_INTROTEXTLIMIT_DESC"
					default="100"
				/>

				<field
					name="show_readmore"
					type="radio"
					label="JGLOBAL_SHOW_READMORE_LABEL"
					description="JGLOBAL_SHOW_READMORE_DESC"
					default="0"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>

				<field
					name="show_readmore_title"
					type="radio"
					label="JGLOBAL_SHOW_READMORE_TITLE_LABEL"
					description="JGLOBAL_SHOW_READMORE_TITLE_DESC"
					default="1"
					class="btn-group btn-group-yesno"
					>
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
				</field>

				<field
					name="readmore_limit"
					type="text"
					label="JGLOBAL_SHOW_READMORE_LIMIT_LABEL"
					description="JGLOBAL_SHOW_READMORE_LIMIT_DESC"
					default="15"
				/>

			</fieldset>

			<fieldset name="advanced">

				<field
					name="layout"
					type="modulelayout"
					label="JFIELD_ALT_LAYOUT_LABEL"
					description="JFIELD_ALT_MODULE_LAYOUT_DESC"
				/>

				<field
					name="moduleclass_sfx"
					type="textarea"
					label="COM_MODULES_FIELD_MODULECLASS_SFX_LABEL"
					description="COM_MODULES_FIELD_MODULECLASS_SFX_DESC"
					rows="3"
				/>

				<field
					name="owncache"
					type="list"
					label="COM_MODULES_FIELD_CACHING_LABEL"
					description="COM_MODULES_FIELD_CACHING_DESC"
					default="1"
					>
					<option value="1">JGLOBAL_USE_GLOBAL</option>
					<option value="0">COM_MODULES_FIELD_VALUE_NOCACHING</option>
				</field>

				<field
					name="cache_time"
					type="text"
					label="COM_MODULES_FIELD_CACHE_TIME_LABEL"
					description="COM_MODULES_FIELD_CACHE_TIME_DESC"
					default="900"
				/>
			</fieldset>
		</fields>
	</config>
</extension>
